public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/prompt_toolkit/
Date: Thu, 24 Sep 2015 11:50:33 +0000 (UTC)	[thread overview]
Message-ID: <1443092945.c98141e98032b4ad10d80fb981d219137b9d9e73.jlec@gentoo> (raw)

commit:     c98141e98032b4ad10d80fb981d219137b9d9e73
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 24 06:40:40 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Sep 24 11:09:05 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c98141e9

dev-python/prompt_toolkit: Version Bump

Package-Manager: portage-2.2.21
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/prompt_toolkit/Manifest                 |  1 +
 .../prompt_toolkit/prompt_toolkit-0.52.ebuild      | 34 ++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-python/prompt_toolkit/Manifest b/dev-python/prompt_toolkit/Manifest
index 4d631f9..2754999 100644
--- a/dev-python/prompt_toolkit/Manifest
+++ b/dev-python/prompt_toolkit/Manifest
@@ -3,3 +3,4 @@ DIST prompt_toolkit-0.46.tar.gz 127462 SHA256 1aa25cb9772e1e27d12f7920b5a514421a
 DIST prompt_toolkit-0.47.tar.gz 129902 SHA256 8ab6c63f7de394b50bc56c9c9e62bed39d523db40b2ba44a2eed57d1ce5f79f6 SHA512 7971ffb7252b461c109c95c9fa245d89da6c3ad24d6792ac84f2640556d76034271248ec01bef6e00dba171216bd9db13787bbc4723116ae3d7df2a974b5eb6f WHIRLPOOL c20c5cabdc80819543ea346fa1d6505f8cd9c87ffc00f7c6b996a3ce32ab7e9e99531a6116733017edb5916333283f4eb63278ac346a150b6cd17355c7a68e24
 DIST prompt_toolkit-0.48.tar.gz 131543 SHA256 054a8f710d585ff994cf92f648bcb78abb1cd14295be3016dcf0214bbbc3b991 SHA512 cec2b8fad25722a2f58895ab50ad9ceb168748bf85d94972c3652d1c46589b55a87e9b78246a138633ce9e7d1c45eab39bad8e3576fdce845a2d68a1c7803d89 WHIRLPOOL 67f9482fbb5814826137f4673db40cd843cb24f9f04011379cc2a83aca8a2a56734c156c421578f6ae4c9b8c5f877d018f6fd22ff39188ced3b187a4fa18b9f5
 DIST prompt_toolkit-0.50.tar.gz 149902 SHA256 6acd7c7d158b1dfb5907659abfae0cee2e5354fabc943aed411843d7fb2bd4aa SHA512 afe708baf8a06823e417c3b9444123e315b32526d49e918f9fde20eaa042989134f511f8dfd8e7ed99c0514d714585b3f82fa72cdf39c70ee85a7e1a27305b23 WHIRLPOOL bcdeafbc4a202588f117b3c245399be6d9bfa75277a7e042ba4c0ad2aa7d11ba2fc0fe80edf64fe4762738596b5937df6d192eedc3f9927bb5aac60c55479be5
+DIST prompt_toolkit-0.52.tar.gz 152677 SHA256 35b8a34df8dea4cba92222dc1b8700c30ed7a8ba47cf3bc583768c5571a30902 SHA512 25fcbbe86bd2fed82c10a4b75671c88fad96559c192b8d722bdb335598856a419a8a99e36eb63ecdc41f4d19c794159d684f0ec1f5c053505b3074472e7ee42a WHIRLPOOL 3fff8864af716821a0d93cef0e0e0cf6174b014c32c49938d64da5ebcdf4724608dce74abc39a66850ff5e111e50aab623cea59501374d241fc5fa35c01e8baa

diff --git a/dev-python/prompt_toolkit/prompt_toolkit-0.52.ebuild b/dev-python/prompt_toolkit/prompt_toolkit-0.52.ebuild
new file mode 100644
index 0000000..d3cd177
--- /dev/null
+++ b/dev-python/prompt_toolkit/prompt_toolkit-0.52.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=(python2_7 python3_{3,4} )
+
+inherit distutils-r1
+
+DESCRIPTION="Building powerful interactive command lines in Python"
+HOMEPAGE="https://pypi.python.org/pypi/prompt_toolkit/ https://github.com/jonathanslenders/python-prompt-toolkit"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+	dev-python/pygments[${PYTHON_USEDEP}]
+	>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+	dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+# not contained in tarball
+RESTRICT="test"
+
+python_test() {
+	"${PYTHON}" "${S}"/tests/run_tests.py || die
+}


             reply	other threads:[~2015-09-24 11:50 UTC|newest]

Thread overview: 114+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-09-24 11:50 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-02-21 17:57 [gentoo-commits] repo/gentoo:master commit in: dev-python/prompt_toolkit/ Michał Górny
2023-01-08  5:06 Michał Górny
2023-01-07 18:29 Arthur Zamarin
2022-12-10  8:54 Michał Górny
2022-12-10  8:50 Arthur Zamarin
2022-12-07 15:59 Michał Górny
2022-11-21 19:32 Arthur Zamarin
2022-11-04  8:23 Arthur Zamarin
2022-10-22 15:53 Michał Górny
2022-10-22 15:49 Arthur Zamarin
2022-09-22  7:45 Michał Górny
2022-09-02 13:44 Arthur Zamarin
2022-07-29 12:54 Michał Górny
2022-07-29 12:17 Arthur Zamarin
2022-06-27 19:08 Arthur Zamarin
2022-05-16 14:43 Andrew Ammerlaan
2022-05-06 13:30 Michał Górny
2022-05-06 11:58 Arthur Zamarin
2022-04-05  7:53 Michał Górny
2022-03-15 14:26 Michał Górny
2022-03-15 13:07 Jakov Smolić
2022-02-14  8:35 Matt Turner
2022-02-11 21:18 Michał Górny
2022-02-07 20:30 Michał Górny
2022-01-30 11:33 James Le Cuirot
2022-01-27 19:48 Arthur Zamarin
2021-12-27 21:16 Michał Górny
2021-12-27 18:48 Arthur Zamarin
2021-12-09 20:43 Arthur Zamarin
2021-11-27  7:19 Michał Górny
2021-11-14 19:33 Michał Górny
2021-11-14 17:48 Jakov Smolić
2021-11-04  8:16 Michał Górny
2021-11-01 15:46 Sam James
2021-10-22 10:28 Michał Górny
2021-09-26 17:52 Sam James
2021-09-08 16:19 Sam James
2021-08-21  8:01 Michał Górny
2021-07-24 17:33 Michał Górny
2021-07-24 17:10 Sam James
2021-06-29  5:53 Yixun Lan
2021-06-18  4:41 Michał Górny
2021-05-07 10:33 Michał Górny
2021-04-28 17:47 Michał Górny
2021-04-28 17:00 Sam James
2021-04-12 16:17 Michał Górny
2021-04-12 15:50 Sam James
2021-03-22 21:33 Michał Górny
2021-03-15  8:45 Michał Górny
2021-03-15  0:07 Sam James
2021-03-11 22:59 Michał Górny
2021-02-24 22:30 Michał Górny
2021-02-24 22:06 Sam James
2021-02-11 12:56 Michał Górny
2021-02-10 22:50 Michał Górny
2021-01-24 19:50 Michał Górny
2021-01-23  0:11 Michał Górny
2021-01-21 10:52 Michał Górny
2021-01-09  8:13 Michał Górny
2021-01-05 22:05 Michał Górny
2021-01-05 22:05 Michał Górny
2020-10-01 12:22 Michał Górny
2020-09-30 22:19 Sam James
2020-09-18 15:30 Michał Górny
2020-09-17 16:19 Sam James
2020-08-30  3:36 Michał Górny
2020-08-23 16:58 Sam James
2020-08-11 13:43 Michał Górny
2020-07-30 20:41 Michał Górny
2020-07-30 20:06 Sam James
2020-07-30 19:39 Sam James
2020-07-29 10:20 Michał Górny
2020-06-08 17:36 Michał Górny
2020-06-08 17:36 Michał Górny
2020-05-04  6:16 Mart Raudsepp
2020-05-03 19:02 Agostino Sarubbo
2020-05-03 15:13 Agostino Sarubbo
2020-03-28 12:42 Michał Górny
2020-03-28 12:42 Michał Górny
2020-03-01  3:55 Andrey Grozin
2020-02-11 19:51 Agostino Sarubbo
2020-02-05 19:12 Michał Górny
2019-12-12 19:42 Aaron Bauman
2018-11-14 13:12 Andrey Grozin
2018-10-28 22:39 Patrice Clement
2018-03-21 20:24 Markus Meier
2018-03-12  0:51 Matt Turner
2018-03-04 22:40 Sergei Trofimovich
2017-09-25 23:43 Tim Harder
2017-09-25 23:43 Tim Harder
2017-08-15 17:28 Sebastien Fabbro
2017-06-19 11:13 Alexis Ballier
2017-05-03  9:26 Michał Górny
2017-03-30 18:32 Andrey Grozin
2017-03-30 18:13 Andrey Grozin
2017-03-12  6:53 Zac Medico
2017-03-09 20:44 David Seifert
2016-08-29  9:45 Patrice Clement
2016-08-29  9:45 Patrice Clement
2016-07-30  8:28 David Seifert
2016-05-18 11:11 Patrice Clement
2016-05-18 10:12 Patrice Clement
2016-05-18 10:12 Patrice Clement
2016-04-01 16:37 Andrey Grozin
2016-02-24  8:44 Justin Lecher
2016-01-06 21:07 Justin Lecher
2015-10-31 10:25 Justin Lecher
2015-10-21 15:17 Justin Lecher
2015-09-06 18:00 Justin Lecher
2015-09-02 16:30 Justin Lecher
2015-08-21 17:19 Justin Lecher
2015-08-09 12:52 Justin Lecher
2015-08-09 12:52 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1443092945.c98141e98032b4ad10d80fb981d219137b9d9e73.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox